import request from '@/utils/request'

// 查询标签字段内容信息列表
export function listLabelfieldcontent(query) {
    return request({
        url: '/manage/labelfieldcontent/list',
        method: 'get',
        params: query
    })
}

// 查询字段信息
export function labelFieldInfoList(query) {
    return request({
        url: '/manage/labelfieldinfo/labelFieldInfoList',
        method: 'get',
        params: query
    })
}

// 查询标签字段内容信息详细
export function getLabelfieldcontent(id) {
    return request({
        url: '/manage/labelfieldcontent/' + id,
        method: 'get'
    })
}

// 新增标签字段内容信息
export function addLabelfieldcontent(data) {
    return request({
        url: '/manage/labelfieldcontent/add',
        method: 'post',
        data: data
    })
}

// 修改标签字段内容信息
export function updateLabelfieldcontent(data) {
    return request({
        url: '/manage/labelfieldcontent/edit',
        method: 'put',
        data: data
    })
}

// 删除标签字段内容信息
export function delLabelfieldcontent(id) {
    return request({
        url: '/manage/labelfieldcontent/' + id,
        method: 'delete'
    })
}
